/** @overview nodeunit test case. */

var testResource = require('../../../test_resource'),
    mockInjector = require('../../../mock_injector'),
    generateDataSeedScaffold = require('../../../../task/worker/generate_data_seed_scaffold.js');

exports.setUp = function (done) {
    done();
};

exports.tearDown = function (done) {
    mockInjector.restoreAll();
    done();
};


exports['Generate data seed scaffold.'] = function (test) {
    var workDir = testResource.resolveWorkFile('work_generate_seed_scaffold');
    testResource.prepareCleanWorkDir(workDir, function () {
        generateDataSeedScaffold({
            settingFile: testResource.resolveMockFile('mock-define-model-settings.js'),
            destDir: workDir
        }, function (err) {
            test.ifError(err);
            test.done();
        });
    });
};